# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KEntryKey Struct Reference

key structure holding both the actual key and the the group to which it belongs. More...

`#include <kconfigdata.h>`

Collaboration diagram for KEntryKey:

[legend]
List of all members.

## Public Member Functions

| KEntryKey (const QCString &_group=0, const QCString &_key=0)

## Public Attributes

QCString | mGroup
QCString | mKey
bool | bLocal:1
bool | bDefault:1
const char * | c_key

## Detailed Description

key structure holding both the actual key and the the group to which it belongs.

Definition at line 69 of file kconfigdata.h.

## Member Data Documentation

QCString KEntryKey::mGroup

| The "group" to which this EntryKey belongs. Definition at line 78 of file kconfigdata.h.

QCString KEntryKey::mKey

| The _actual_ key of the entry in question. Definition at line 82 of file kconfigdata.h.

bool KEntryKey::bLocal

| Entry is localised or not. Definition at line 86 of file kconfigdata.h. Referenced by KConfigBase::entryIsImmutable(), KConfigINIBackEnd::parseSingleConfigFile(), KConfigBase::readEntry(), and KConfigBase::writeEntry().

bool KEntryKey::bDefault

| Entry indicates if this is a default value. Definition at line 90 of file kconfigdata.h. Referenced by KConfigINIBackEnd::parseSingleConfigFile(), KConfig::putData(), and KConfigBase::readEntry().

The documentation for this struct was generated from the following file:

- kconfigdata.h

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:36 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003